Name:		sshtrix
Version:	0.0.2
Release:	%mkrel 6
Summary:	A very fast multithreaded SSH login cracker
Group:		Networking/Other
License:	GPLv3+
Url:		http://www.nullsecurity.net/cracker.html
Source0:	http://www.nullsecurity.net/tools/cracker/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(libssh)

%description
sshtrix is a very fast multithreaded SSH login cracker. It supports
SSHv1 and SSHv2. sshtrix was designed to automate rapid bruteforce 
attacks against SSH authentification screens. Unlike other public 
tools, the aim is to keep it simple, stable, fast and modular. With 
its clean code design, it is easy to extend the code to a framework 
or to fork it against protocols of your choice.
 
%prep
%setup -q

%build
%make %{name}

%install
mkdir -p %{buildroot}/%{_bindir}
install -D -m 0755 %{name} %{buildroot}/%{_bindir}/

#install man page
install -d %{buildroot}/%{_mandir}/man1/
install -m 644 doc/%{name}.1 %buildroot%{_mandir}/man1/
 
 
%files
%doc doc/AUTHORS doc/CHANGELOG doc/README doc/TESTED doc/THANKS doc/TODO
%{_bindir}/%{name}
%{_mandir}/man*/*
 


%changelog
* Sun Jan 31 2016 umeabot <umeabot> 0.0.2-6.mga6
+ Revision: 929423
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.2-5.mga5
+ Revision: 742864
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.2-4.mga5
+ Revision: 689323
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.2-3.mga4
+ Revision: 518652
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.0.2-2.mga3
+ Revision: 382648
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 19 2012 juancho <juancho> 0.0.2-1.mga3
+ Revision: 296073
- imported package sshtrix

